package org.bench4q.agent.scenario.engine;

public class TaskMonitor {

	public static class TaskProducer implements Runnable {
		private ScenarioContext context;

		public TaskProducer(ScenarioContext context) {
			this.context = context;
		}

		@Override
		public void run() {
			int poolSize = context.getExecutor().getCorePoolSize();
			try {
				if (context.getExecutor().getTaskCount() > poolSize * 2) {
					this.wait();
				}
			} catch (Exception e) {

			} finally {

			}
		}
	}
}
