package org.bench4q.share.models.agent.scriptrecord;

import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class RunScenarioModelNew {
	private int poolSize;
	private List<UsePluginModel> usePlugins;
	private List<BehaviorModel> behaviors;

	@XmlElement
	public int getPoolSize() {
		return poolSize;
	}

	public void setPoolSize(int poolSize) {
		this.poolSize = poolSize;
	}

	@XmlElementWrapper(name = "plugins")
	@XmlElement(name = "plugin")
	public List<UsePluginModel> getUsePlugins() {
		return usePlugins;
	}

	public void setUsePlugins(List<UsePluginModel> usePlugins) {
		this.usePlugins = usePlugins;
	}

	@XmlElementWrapper(name = "behaviors")
	@XmlElement(name = "behavior")
	public List<BehaviorModel> getBehaviors() {
		return behaviors;
	}

	public void setBehaviors(List<BehaviorModel> behaviors) {
		this.behaviors = behaviors;
	}

}
