<!DOCTYPE html>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<html>
<head>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<meta charset="utf-8">
<title>Bench4Q</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description"
	content="Bench4Q, a new method for QOS benchmarking.">
<link id="bs-css" href="lib/chrisma/css/bootstrap-cerulean.css"
	rel="stylesheet">
<link href="lib/chrisma/css/opa-icons.css" rel="stylesheet">
<link
	href="http://ajax.aspnetcdn.com/ajax/bootstrap/2.3.2/css/bootstrap-responsive.css"
	rel="stylesheet">
<link href="lib/chrisma/css/charisma-app.css" rel="stylesheet">
<link rel="shortcut icon" href="images/bench4q.png">
<link href="lib/dataTable/css/jquery.dataTables.css" rel="stylesheet">
<link href="css/bench4q.css" rel="stylesheet">
<link href="css/home.css" rel="stylesheet">
<style type="text/css">
body {
	padding-bottom: 40px;
}

.sidebar-nav {
	padding: 9px 0;
}
</style>
</head>

<body>
	<fmt:bundle basename="i18n">
		<jsp:include page="publiccontrol/navigatebar.jsp"></jsp:include>
		<!-- topbar ends -->
		<div class="container-fluid">

			<div class="row-fluid">
				<div id="content" class="span10 center ">
					<div class="bootcamp">
						<div class="bootcamp-body">

							<ul>
								<li class="create"><a href="test.jsp" target="_blank">
										<div class="image"></div>
										<div class="desc">
											<h3>
												<fmt:message key="creattestplan" />
											</h3>
										</div> <span class="step-number one">1</span>
								</a></li>
								<li class="createScript"><a href="createScript.jsp"
									target="_blank">
										<div class="image"></div>
										<div class="desc">
											<h3>
												<fmt:message key="home-createScript" />
											</h3>
										</div> <span class="step-number three">2</span>
								</a></li>
								<li class="script"><a href="script.jsp" target="_blank">
										<div class="image"></div>
										<div class="desc">
											<h3>
												<fmt:message key="scriptmanagerment" />
											</h3>
										</div> <span class="step-number two">3</span>
								</a></li>

								<li class="history"><a href="testPlans.jsp" target="_blank">
										<div class="image"></div>
										<div class="desc">
											<h3>
												<fmt:message key="testhistory" />
											</h3>
										</div> <span class="step-number four">4</span>
								</a></li>
							</ul>
						</div>
					</div>

					<div class="row-fluid sortable">
						<!-- content ends -->
					</div>
					<div class="row-fluid sortable">
						<div class="box span12">
							<div class="box-header well" data-original-title>
								<h2>
									<fmt:message key="latestTest" />
								</h2>
								<div class="box-icon">
									<a href="#" class="btn btn-setting btn-round"><i
										class="icon-cog"></i></a> <a href="#"
										class="btn btn-minimize btn-round"><i
										class="icon-chevron-up"></i></a> <a href="#"
										class="btn btn-close btn-round"><i class="icon-remove"></i></a>
								</div>
							</div>

							<div class="box-content">
								<table class="table table-condensed " id="testPlanTab">
									<thead>
										<tr>
											<th>ID</th>
											<th><fmt:message key="name" /></th>
											<th><fmt:message key="status" /></th>
											<th><fmt:message key="createdatetime" /></th>
											<th><fmt:message key="testPlan-view" /></th>
											<th><fmt:message key="actions" /></th>
										</tr>
									</thead>
								</table>
							</div>
						</div>
						<!-- content ends -->
					</div>
					<!--/#content.span10-->
				</div>
				<!--/fluid-row-->
			</div>


			<hr>
			<jsp:include page="publiccontrol/footer.jsp"></jsp:include>
		</div>
		<script src="http://ajax.aspnetcdn.com/ajax/jQuery/jquery-2.1.0.js"></script>
		<script
			src="http://ajax.aspnetcdn.com/ajax/jquery.ui/1.10.4/jquery-ui.min.js"></script>
		<script src="lib/dataTable/js/jquery.dataTables.js"></script>
		<script src="lib/jqueryi18n/jquery.i18n.properties-1.0.9.js"></script>
		<script
			src="http://ajax.aspnetcdn.com/ajax/bootstrap/2.3.1/bootstrap.min.js"></script>
		<script src="lib/chrisma/js/jquery.cookie.js"></script>
		<script src="lib/chrisma/js/theme.js"></script>
		<script src="script/base.js"></script>
		<script src="script/scriptTable.js"></script>
		<script src="script/bench4q.table.js"></script>
		<script src="script/Share/TestStatusMap.js"></script>
		<script src="script/testPlanListManage.js"></script>
		<script src="script/home.js"></script>
		<script src="lib/other/jquery.noty.packaged.min.js"></script>
		<script src="script/scriptManager/uiFactory.js"></script>
	</fmt:bundle>
</body>
</html>
