<!DOCTYPE html>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<html>
<head>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<link rel="shortcut icon" href="images/bench4q.png">
<link href="lib/bootstrap/css/bootstrap.css" rel="stylesheet">
<link
	href="lib/github/css/github-6053501db2b69fd2b04652c6349117be14468ce4.css"
	media="screen" rel="stylesheet">
<link href="css/index.css" media="screen" rel="stylesheet">
<link href="css/register.css" media="screen" rel="stylesheet">
<link rel="shortcut icon" href="images/bench4q.png">
<style type="text/css">
 body {
	padding-bottom: 40px;
}
.sidebar-nav {
	padding: 9px 0;
} 
</style>
</head>
<body>
	<fmt:bundle basename="i18n">
	<div id="header" class="true clearfix" style="height: 50px">
		<div class="container clearfix">
			<a class="site-logo" href="index.jsp"><img id="bench4q"
				src="images/headerLogo.png" height="30" /></a>
			<ul class="top-nav logged_out">
				<li class="login"><a href="login.jsp"><fmt:message
							key="index_jsp_login" /></a></li>
			</ul>
		</div>
	</div>
	<div class="container">

		<div class="registerContainer">
			<div class="left ">
				<div class="tipContainer">
					<img src="images/tips.jpg" />
				</div>
				<div class="userInput">
					<div class="registerInput row-fluid">
						<img alt="bench4q-username" src="images/username.jpg"><span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;UserName:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
						<input autofocus id="username" name="username" tabindex="1"
							type="text" onchange="form_validation('username')">
					</div>
					<div class="hide">
						<img src="images/error.jpg"> <span>the username must
							be 5-20 letters or numbers</span>
					</div>
					<div class="registerInput row-fluid">
						<img alt="bench4q-password" src="images/password.jpg"><span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Password:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
						<input id="password" name="password" tabindex="1" type="password"
							onchange="form_validation('password')">
					</div>
					<div class="hide">
						<img src="images/error.jpg"> <span>the password must
							be 6-20 letters or numbers </span>
					</div>
					<div class="registerInput row-fluid">
						<img alt="bench4q-retype-password" src="images/retype.jpg"><span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Re-Password:&nbsp;
						</span> <input id="retype_pwd" name="retype_pwd" tabindex="1"
							type="password" onchange="form_validation('retype_pwd')">
					</div>
					<div class="hide">
						<img src="images/error.jpg"> <span>the
							retype-password is wrong</span>
					</div>
				</div>

				<div class="row-fluid">
					<div class="submitDiv">

						<button type="submit" class="btn btn-large btn-primary"
							onClick="javascript:password_validation(0);return false">
							<fmt:message key="register_jsp_register" />
						</button>
					</div>
					<div class="submitDiv">
						<button type="submit" class="btn btn-large btn-primary"
							onClick="javascript:password_validation(1);return false">
							<fmt:message key="register_jsp_admin" />
						</button>
					</div>
					<div class="submitDiv">
						<button type="submit" class="btn btn-large btn-primary"
							onClick="javascript:clean();return false">
							<fmt:message key="register_jsp_clear" />
						</button>
					</div>
				</div>
			</div>
			<div class="bench4qLog">
				<img src="images/bench4qblog.jpg" />
			</div>
			<div class="clear"></div>
		</div>
	</div>

	<!-- for scripts -->
	<script src="http://ajax.aspnetcdn.com/ajax/jQuery/jquery-2.0.3.min.js"></script>
	<script src="script/register.js"></script>
	<script src="lib/other/jquery.noty.packaged.min.js"></script>
	<script src="script/scriptManager/uiFactory.js"></script>
	</fmt:bundle>
</body>
</html>