var pluginNameList = new Array();
var parameters = [];
var parameterList = [];
var usePluginParamInfosList = [];
var pluginList;
var behaviorChoosed;
var behaviorName;
var pluginName;
var plugin_id;
var behavior_id;
var usePlugin = "";

function loadUsePluigns(data) {
	pluginNameList.splice(0, pluginNameList.length);
	for ( var i = 0; i < data.usePlugins.length; i++) {
		var flag = false;
		var usePlugin = data.usePlugins[i];
		for ( var j = 0; j < pluginNameList.length; j++) {
			if (pluginNameList[j] == usePlugin.id) {
				flag = true;
			}
		}
		if (flag == false) {
			pluginNameList.push(usePlugin.id);
			usePluginParamInfosList.push(usePlugin.id);
			usePluginParamInfosList[usePlugin.id] = usePlugin.parameters;
		}
	}

	var ulNode = document.getElementById("allPlugins");
	for ( var p = 0; p < pluginNameList.length; p++) {
		createALi(ulNode, pluginNameList[p], "choosePlugin");
	}
	loadBehaviors("all");
	pluginList = loadPluginList();
	usePluginParamInfosContainerInit();
}

function createALi(ulNode, name, action) {
	var textNode = document.createTextNode(name);
	var li = document.createElement("li");
	var divider = document.createElement("li");
	var a = document.createElement("a");
	divider.setAttribute("class", "divider");
	if (action == "choosePlugin") {
		a.setAttribute("onClick", "choosePlugin(this);");
	} else if (action == "chooseBehavior") {
		a.setAttribute("onClick", "chooseBehavior(this);");
	} else if (action == "chooseUsePlugin") {
		a.setAttribute("onClick", "chooseUsePlugin(this)");
	}
	a.appendChild(textNode);
	li.appendChild(a);
	ulNode.appendChild(li);
	ulNode.appendChild(divider);
}

function chooseUsePlugin(selectedNode) {
	document.getElementById("action").style.display = "none";
	document.getElementById("pluginParamArea").innerHTML = "";
	usePlugin = selectedNode.firstChild.nodeValue;
	createUsePluginParamInfosPage(usePlugin);
}

function usePluginParamInfosContainerInit() {
	var ul = document.getElementById("usePlugin");
	for ( var i = 0; i < usePluginParamInfosList.length; i++) {
		var usePluginName = usePluginParamInfosList.valueOf()[i];
		createALi(ul, usePluginName, "chooseUsePlugin");
	}
}

function choosePlugin(selectedNode) {
	pluginName = selectedNode.firstChild.nodeValue;
	if (pluginName == "All") {
		loadBehaviors("all");
	} else {
		loadBehaviors("other");
	}
}

function loadBehaviors(mark) {
	var ul = document.getElementById("behaviorUl");
	$(ul).html("");
	$.each(modelData.pages, function(i, item) {
		$.each(item.batches, function(i, item) {
			var Id = item.Id;
			if (mark == "other") {
				$.each(item.behaviors, function(i, item) {
					if (item.use == pluginName) {
						var text = item.use + ":" + Id + "." + item.name + ":"
								+ item.id;
						createALi(ul, text, "");
					}
				});
			} else if (mark == "all") {
				$.each(item.behaviors, function(i, item) {
					var text = item.use + ":" + Id + "." + item.name + ":"
							+ item.id;
					createALi(ul, text, "chooseBehavior");
				});
			}
		});
	});
}

function chooseBehavior(selectedNode) {
	document.getElementById("action").style.display = "none";
	document.getElementById("showPluginMethodForm").innerHTML = "";
	var behaviorMethod = selectedNode.firstChild.nodeValue;
	var bm = behaviorMethod.split(".");
	plugin_id = bm[0].split(":")[1];
	behavior_id = bm[1].split(":")[1];
	behaviorName = bm[1].split(":")[0];
	createBehaviorParamPage(behaviorMethod);
}

function createUsePluginParamInfosPage(usePluginName) {
	var pluginHtml = "";
	var index = 0;
	for ( var i = 0; i < pluginList.length; i++) {
		var pluginInfoModel = pluginList[i].pluginInfoModel;
		if (pluginInfoModel.name == usePluginName) {
			index = i;
			var paramInfoModels = pluginInfoModel.paramInfoModels;
			for ( var j = 0; j < paramInfoModels.length; j++) {
				var paramInfoModel = paramInfoModels[j];
				pluginHtml += createModelByType(
						usePluginParamInfosList[usePluginName], paramInfoModel,
						index);
			}
		}
	}
	document.getElementById("pluginParamArea").innerHTML = createAEditText(
			pluginHtml, usePluginName, index);
}

function createBehaviorParamPage(behaviorData) {
	var plugin = "", method = "";
	var behaviorHTML = "";
	var paramInfoModels = null, paramInfoModel = null;
	var behaviorParameters = [];
	$
			.each(
					modelData.pages,
					function(i, item) {
						$
								.each(
										item.batches,
										function(i, item) {
											if (item.Id == plugin_id) {
												$
														.each(
																item.behaviors,
																function(i,
																		item) {
																	if (item.id == behavior_id) {
																		plugin = item.use;
																		method = item.name;
																		$
																				.each(
																						item.parameters,
																						function(
																								i,
																								item) {
																							behaviorParameters
																									.push(item.key);
																							behaviorParameters[item.key] = item.value;
																						});
																		var behaviorList = loadBehaviorList(plugin
																				.split("_")[0]);// List<BehaviorInfoModel>
																		for ( var j = 0; j < behaviorList.length; j++) {
																			if (behaviorList[j].name == method) {
																				paramInfoModels = behaviorList[j].paramInfoModels;
																				break;
																			}
																		}
																		for ( var k = 0; k < paramInfoModels.length; k++) {
																			paramInfoModel = paramInfoModels[k];
																			behaviorHTML += createParamInfoModelWithParams(
																					paramInfoModel,
																					behaviorParameters,
																					behavior_id);
																		}
																	}
																});
											}
										});
					});
	document.getElementById("showPluginMethodForm").innerHTML = createAEditText(
			behaviorHTML, behaviorData, behavior_id);
	document.getElementById("action").style.display = "block";
	nfieldCount = 0;
}

// 生成页面显示
function createAEditText(behaviorHTML, behaviorData, behavior_id) {
	var documentHtml = "";
	var boxHeader = "";
	boxHeader = "<div class='box-header well' data-original-title> "
			+ "<i class='icon-pencil left'></i>" + "<h2>sample:<i>"
			+ behaviorData + "</i></h2></div>";

	documentHtml = "<div id='"
			+ behavior_id
			+ "' class=''><p class='hide'>"
			+ behaviorData
			+ "</p><div class='span10 box' style='margin-left:15px;margin-top:-2px;'>"
			+ boxHeader + "<div class='box-content'>" + behaviorHTML
			+ "</div></div></div>";
	return documentHtml;
}

function createParamInfoModelWithParams(paramInfoModel, behaviorParameters,
		behaviorIndex) {
	var name = paramInfoModel.name;
	var value = behaviorParameters[name];
	return createModelByType(value, paramInfoModel, behaviorIndex);
}
var nfieldCount = 0;
function createModelByType(value, paramInfoModel, behaviorIndex) {
	var paramTypeModel = paramInfoModel.paramTypeModel;
	var type = paramTypeModel.type;
	var fieldHTML = "";
	if (type == "field") {
		var size = paramTypeModel.size;
		fieldHTML += createField(paramInfoModel.lable, paramInfoModel.name,
				size, value, behaviorIndex);
	} else if (type == "nfield") {
		var size = paramTypeModel.size;
		fieldHTML += createMultiField(paramInfoModel.lable,
				paramInfoModel.name, size, value, nfieldCount);
		nfieldCount++;
	} else if (type == "table") {
		var cols = paramTypeModel.cols;
		fieldHTML += createTable(paramInfoModel.lable, paramInfoModel.name,
				cols, value, behaviorIndex);
	} else if (type == "checkBox") {
		var rows = paramTypeModel.choiceModels;
		fieldHTML += createCheckBox(paramInfoModel.lable, paramInfoModel.name,
				rows, value, behaviorIndex);
	} else if (type == "radioButton") {
		var rows = paramTypeModel.choiceModels;// List<ChoiceModel>
		fieldHTML += createRadioButton(paramInfoModel.lable,
				paramInfoModel.name, rows, value, behaviorIndex);
	} else if (type == "file") {
		fieldHTML += createFile(paramInfoModel.lable, paramInfoModel.name,
				value, behaviorIndex);
	}
	return fieldHTML;
}
function loadBehaviorList(plugin) {
	var behaviors = null;
	$.ajax({
		type : "GET",
		url : "loadBehaviorList",
		data : "pluginName=" + plugin,
		dataType : "json",
		async : false,
		success : function(response) {
			if (!response.success) {
				information(response.failedMessage);
				return;
			}
			behaviors = response.behaviors;
		}
	});
	return behaviors;
}

function loadPluginList() {
	var pluginList = null;
	$.ajax({
		type : 'POST',
		url : 'loadPluginUIList',
		data : {},
		dataType : 'json',
		async : false,
		success : function(response) {
			if (!response.success) {
				information(response.failedMessage);
				return;
			}
			pluginList = response.pluginUIs;// List<PluginUIModel>pluginUIModels
		}
	});
	return pluginList;
}

$('#submitPlugin').click(function() {
	// 保存pluginParmas
	var div = document.getElementById("pluginParamArea");
	saveFormModification(div, "plugin");
});

function saveFormModification(div, type) {
	var contents = div.lastChild.lastChild.childNodes;
	var length = contents.length;
	for ( var i = 0; i < length; i++) {
		var node = contents[i];
		var key = "", value = "", temp = "";
		if ($(node).attr("class") == "Field sample_frame") {
			key = node.lastChild.firstChild.nodeValue;

			temp = $(node).find("input").val();
			if (temp != "") {
				value = temp;
			}
		} else if ($(node).attr("class") == "NField sample_frame") {
			key = node.firstChild.firstChild.nodeValue.split(":")[0];
			var fieldNode = $(node).find("table").children();
			var fieldLength = $(fieldNode).length;
			for ( var j = 0; j < fieldLength; j++) {
				temp = $(fieldNode[j]).find("input").val();
				if (temp != "") {
					value += temp;
				}
				if (j != fieldLength - 1) {
					value += ";";
				}
			}
		} else if ($(node).attr("class") == "Table sample_frame") {
			key = node.lastChild.firstChild.nodeValue;
			var table = $(node).find("table");
			var col = table.find("th").length;
			var row = table.find("tbody").children().length;
			var tbody = $(node).find("tbody");
			for ( var m = 0; m < row; m++) {
				for ( var n = 0; n < col; n++) {
					var rowNode = $(tbody).children()[m];
					var colNode = $(rowNode).children()[n];
					temp = $(colNode).find("input").val();
					if (temp != "") {
						value += temp + "|";
					}
				}
				if (value != "") {
					value += ";";
				}
			}
		} else if ($(node).attr("class") == "CheckBox sample_frame") {
			key = node.lastChild.firstChild.nodeValue;
			var id = $(node).attr("id");
			$('input[name=' + id + ']:checked').each(function() {
				temp = $(this).val();
				if (temp != "") {
					value += temp + ";";
				}
			});
		}
		parameterList.push(key);
		parameterList[key] = value;

	}
	if (type == "plugin") {
		modifyJsonDataOfPlugin();
	} else if (type == "behavior") {
		modifyJsonDataOfBehavior();
	}
}

function modifyJsonDataOfPlugin() {
	$.each(item.usePlugins,
			function(i, item) {
				if (item.id == usePlugin) {
					for ( var i = 0; i < parameterList.length; i++) {
						var key = parameterList.valueOf()[i];
						var parameterModel = new ParameterModel(key,
								parameterList[key]);
						item.parameters[i] = parameterModel;
					}
				}
			});
	parameterList.splice(0, parameterList.length);
}

function modifyJsonDataOfBehavior() {
	$.each(modelData.pages, function(i, item) {
		$.each(item.batches, function(i, item) {
			if (item.Id == plugin_id) {
				$.each(item.behaviors, function(i, item) {
					if (item.id == behavior_id) {
						for ( var i = 0; i < parameterList.length; i++) {
							var key = parameterList.valueOf()[i];
							var parameterModel = new ParameterModel(key,
									parameterList[key]);
							item.parameters[i] = parameterModel;
						}
					}
				});
			}
		});
	});
	parameterList.splice(0, parameterList.length);
}
