function dataTransfer(serverData) {
	var Container = function(name, children) {
		this.name = name;
		this.children = children;

	};
	var editorInfos = new Array();
	var paramInfos = serverData.paramInfoModels;
	var groupInfos = serverData.groupModels;
	if (serverData.paramInfoModels != null) {
		for ( var i = 0; i < paramInfos.length; i++) {
			editorInfos.push(paramInfos[i]);

		}
	}

	if (serverData.groupModels != null) {
		for ( var i = 0; i < groupInfos.length; i++) {
			var container = new Container(groupInfos[i].name,
					dataTransfer(groupInfos[i]));
			editorInfos.push(container);
		}
	}

	return editorInfos;

}


function initDevice(){
	var pluginData;
	var behaviorData;
	var pluginName="hbase";
	$.ajax({
		type: "GET",
		url:"/getPlugin/" + pluginName,
		dataType: "json",
		async: false,
		success: function (data) {
			if(data.success){
				pluginData=dataTransfer(data.pluginInfo );
			}
			else{
				information(data.failedMessage);
			}
		}
	});	
	$.ajax({
		type: "GET",
		url:"loadBehaviorList",
		data:{pluginName:pluginName},
		dataType: "json",
		async: false,
		success: function (data) {
			if(data.success){
				behaviorData=dataTransfer(data.behaviors[0]);
			}
			else{
				information(data.failedMessage);
			}
		}
	});	
	var deviceFactory=new DeviceFactory(pluginData,$("#devices"),behaviorData);
	deviceFactory.createDevice("device config",
	"device");
	return deviceFactory;


}
function createSeparator(){
	var div=document.create
}

$(function() {

	$("#behaviorPanel").hide();
	var deviceFactory=initDevice();
	$("#add-device").click(
	{
		deviceFactory : deviceFactory,
	},
	function(event) {
		event.preventDefault();
		event.data.deviceFactory.createDevice("device config",
				"device");

	});
$("#remove-device").click(function(event) {
	event.preventDefault();
	if ($("#devices").children(".containerBox").length <= 1) {
		return;
	}
	$("#devices").children(".containerBox").last().remove();
	$("#devices").children(".separator").last().remove();

	});

		$("#start").click(function(event){
				var plugins=getPluginDatas();
				var behaviorNames=getBehaviorNames(plugins);
				var behaviors=getBehaviorDatas(behaviorNames);
				$.ajax({
						type: "POST",
						url: 'deviceScript',
						dataType: "json",
						async: false,
						contentType:"application/json",
						data: JSON.stringify({usePlugins:plugins,behaviors:behaviors,name:"script"}),
						success: function (data) {
							if(data.success){
								return ;
							}
							else{
								information(data.failedMessage);
							}
						}
				});
							});

});
