//function getResultInfoTree(testPlanId) {
//
//	var tree = new Tree();
//	tree.createRoot("Test Result","testPlan" ,testPlanId);
//	createScriptResultInfoTree(testPlanId, tree);
//	var sutResultInfo = new SutResult(testPlanId);
//	if (sutResultInfo.root != null)
//		tree.root.insertSingleNode(sutResultInfo.root);
//	return tree;
//}

function getResultTree(testPlanId) {
	var tree = new Tree();
	tree.createRoot("Test Result", "testPlan",testPlanId);
	$.ajax({
		type : "POST",
		url : testPlanId + "/testResultHanadle",
		dataType : "json",
		async : false,
		success : function(data) {
			if (!data.success) {
				tree=null;
			} else {
				data = data.resultHandle;
				for ( var i = 0; i < data.length; i++) {
					tree.root.insertSingleNode(data[i]);
				}

			}

		}
	});
	return tree;
}

//function createScriptResultInfoTree(testPlanId, tree) {
//	var scriptResultTree = new Tree();
//	scriptResultTree.createRoot("Script", "script");
//
//	$.ajax({
//		type : "POST",
//		url : testPlanId + "/runningScriptInfo",
//		dataType : "json",
//		async : false,
//		success : function(data) {
//			if (!data.success) {
//				return;
//			} else
//				data = data.scriptInfo;
//			createScriptTree(data, scriptResultTree);
//			tree.root.insertSingleNode(scriptResultTree.root);
//		}
//	});
//}

//function createScriptTree(scriptResultInfoList, tree) {
//
//	if (scriptResultInfoList == null)
//		return;
//	for ( var i = 0; i < scriptResultInfoList.length; i++) {
//
//		var node = new TreeNode("Script Result",
//				scriptResultInfoList[i].scriptName, null);
//		tree.root.insertSingleNode(node);
//		var nodeArray = insertResultList(scriptResultInfoList[i].childResults);
//		for ( var j = 0; j < nodeArray.length; j++) {
//			node.insertSingleNode(nodeArray[j]);
//		}
//
//	}
//
//};
//
//var SutResult = function(testPlanId) {
//	var sutResultInfo = this;
//	var scriptResultTree = new Tree();
//
//	$.ajax({
//		type : "POST",
//		url : testPlanId + "/sutInfo",
//		dataType : "json",
//		async : false,
//		success : function(data) {
//			if (!data.success) {
//				sutResultInfo.root = null;
//				return;
//			} else
//				data = data.sutInfo;
//			scriptResultTree.createRoot("SUT", "SUT");
//			sutResultInfo.root = scriptResultTree.root;
//			sutResultInfo.data = data;
//			sutResultInfo.createTree(data);
//		}
//	});
//
//};
//SutResult.prototype.createTree = function(sutResultInfoList) {
//	for ( var i = 0; i < sutResultInfoList.length; i++) {
//		var ipNode = new TreeNode("port", sutResultInfoList[i].ip, null);
//		this.root.insertSingleNode(ipNode);
//		var portNode = new TreeNode("sut result", sutResultInfoList[i].port,
//				null);
//		ipNode.insertSingleNode(portNode);
//		var nodeArray = insertResultList(sutResultInfoList[i].childResults);
//		for ( var j = 0; j < nodeArray.length; j++) {
//			portNode.insertSingleNode(nodeArray[j]);
//		}
//	}
//}

//function insertResultList(childResults) {
//
//	if (childResults == null)
//		return null;
//	else {
//		var nodeArray = new Array();
//		for ( var i = 0; i < childResults.length; i++) {
//			var node = new TreeNode(childResults[i].result,
//					childResults[i].result, null);
//			var childNode = insertResultList(childResults[i].childResults);
//			if (childNode !== null) {
//				for ( var j = 0; j < childNode.length; j++) {
//					node.insertSingleNode(childNode[j]);
//				}
//
//			}
//			nodeArray.push(node);
//		}
//	}
//	return nodeArray;
//};