var Behavior = function(containerManager, plugin) {
	this.containerManager = containerManager;
	this.plugin = plugin;
	this.clickPluginBehaviorNode = -1;
	this.insertLocation = "after";
	this.behaviorList = [];// 存放所有方法及其对应的parameter
	this.behaviorWithPluginList = new Array();
};

Behavior.prototype.setClickPluginBehaviorNode = function(
		clickPluginBehaviorNode) {
	this.clickPluginBehaviorNode = clickPluginBehaviorNode;
};

Behavior.prototype.usePluginListContainerInit = function(insertLocation,
		container) {
	var chooesedPluginHtml = "";
	this.setInsertLocation(insertLocation);
	for ( var i = 0; i < this.plugin.usePluginList.length; i++) {
		chooesedPluginHtml += createLineWithRadio(this.plugin.usePluginList[i],
				"plugin");
	}
	container.html(chooesedPluginHtml);// insertPluginAreaPlugins

};

Behavior.prototype.setInsertLocation = function(insertLocation) {
	this.insertLocation = insertLocation;
};

Behavior.prototype.loadBehaviorList = function(plugin) {
	var behaviors = null;
	$.ajax({
		type : "GET",
		url : "loadBehaviorList",
		data : "pluginName=" + plugin,
		dataType : "json",
		async : false,
		success : function(response) {
			if (!response.success) {
				information(response.failedMessage);
				return;
			}
			behaviors = response.behaviors;
		}
	});
	return behaviors;
};

Behavior.prototype.getBehaviorListOfOnePlugin = function(pluginName) {
	var behaviorHtml = "";
	this.behaviorList.splice(0, this.behaviorList.length);
	var behaviors = this.loadBehaviorList(pluginName.split("_")[0]);
	for ( var i = 0; i < behaviors.length; i++) {
		this.behaviorList.push(behaviors[i].name);
		this.behaviorList[behaviors[i].name] = behaviors[i].paramInfoModels;
		behaviorHtml += createLineWithRadio(behaviors[i].name, "method");
	}
	this.containerManager.behaviorListForPlugin.html(behaviorHtml);
};

Behavior.prototype.useBehaviorOfOnePluginContainerInit = function(plugin,
		behaivor) {
	var behaviorWithPlugin = plugin + "." + behaivor;
	var length = this.behaviorWithPluginList.length;
	var documentChild = this.containerManager.behaviorParamConfigContianer
			.children();
	if (this.insertLocation == "before") {
		for ( var j = length - 1; j > parseInt(this.clickPluginBehaviorNode - 1); j--) {
			information("j=" + j);
			this.behaviorWithPluginList[j + 1] = this.behaviorWithPluginList[j];
			$(documentChild[j]).attr("id", parseInt(j + 1));
		}
		this.behaviorWithPluginList[parseInt(this.clickPluginBehaviorNode)] = behaviorWithPlugin;
		this
				.setClickPluginBehaviorNode(parseInt(this.clickPluginBehaviorNode + 1));
	} else if (this.insertLocation == "after") {
		if (this.clickPluginBehaviorNode == parseInt(length - 1)
				|| this.clickPluginBehaviorNode == -1) {
			this.behaviorWithPluginList.push(behaviorWithPlugin);
		} else {
			for ( var j = parseInt(length - 1); j > parseInt(this.clickPluginBehaviorNode); j--) {
				this.behaviorWithPluginList[j + 1] = this.behaviorWithPluginList[j];
				$(documentChild[j]).attr("id", parseInt(j + 1));
			}
			this.behaviorWithPluginList[parseInt(this.clickPluginBehaviorNode + 1)] = behaviorWithPlugin;
		}
	}
	$('#myModal_Behavior').modal('hide');
};

Behavior.prototype.createBehaviorWithPluginLines = function() {
	this.containerManager.behaviorParamConfigContianer.html("");
	this.containerManager.useBehaviorListContainer.html("");
	for ( var j = 0; j < this.behaviorWithPluginList.length; j++) {
		var div = this.containerManager.createALine(
				this.behaviorWithPluginList[j], j, "pluginMethodList");
		if (j == this.clickPluginBehaviorNode) {
			$(div).find("p").attr("class", "visited");
		}
		document.getElementById('behaviorArea').appendChild(div);
		this.useParamInforsContainerInit(j);
	}
};

Behavior.prototype.useParamInforsContainerInit = function(index) {
	var behaviorName = this.behaviorWithPluginList[index].split('.')[1];
	document.getElementById("showPluginMethod").innerHTML += this.containerManager
			.createParamInforsContainer(this.behaviorList[behaviorName],
					this.behaviorWithPluginList[index], index);
};

Behavior.prototype.removeInsertPluginByClicked = function() {
	var length = $('#behaviorArea').children().length;
	for ( var i = parseInt(this.clickPluginBehaviorNode + 1); i < length; i++) {
		this.behaviorWithPluginList[i - 1] = this.behaviorWithPluginList[i];
	}
	this.behaviorWithPluginList.splice(length - 1, 1);
	if (this.behaviorWithPluginList.length == 0) {
		this.setClickPluginBehaviorNode(-1);
	}
};

Behavior.prototype.removeUseBehaviorWithPluginParamInfo = function() {
	var removeDocumentNode = $("#showPluginMethod").children();
	for ( var j = 0; j < length; j++) {
		if ($(removeDocumentNode[j]).attr("id") == this.clickPluginBehaviorNode) {
			document.getElementById("showPluginMethod").removeChild(
					removeDocumentNode[j]);
		}
	}
};

Behavior.prototype.clearBehaviorWithPluginList = function() {
	this.behaviorWithPluginList.splice(0, this.behaviorWithPluginList.length);
	this.setClickPluginBehaviorNode(-1);
	$('#behaviorArea').html("");
	$('#showPluginMethod').html("");
	$('#submitBehaviors').attr("class", "hide");
};
