<!DOCTYPE html>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<html>
<head>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<meta charset="utf-8">
<title>Bench4Q</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description"
	content="Bench4Q, a new method for QOS benchmarking.">
<link id="bs-css" href="lib/chrisma/css/bootstrap-cerulean.css"
	rel="stylesheet">
<link href="lib/chrisma/css/opa-icons.css" rel="stylesheet">
<link
	href="http://ajax.aspnetcdn.com/ajax/bootstrap/2.3.2/css/bootstrap-responsive.css"
	rel="stylesheet">
<link href="lib/chrisma/css/charisma-app.css" rel="stylesheet">
<link href="lib/dataTable/css/jquery.dataTables.css" rel="stylesheet">
<style type="text/css">
body {
	padding-bottom: 40px;
}

.sidebar-nav {
	padding: 9px 0;
}

.btn {
	margin-right: 5px;
}
</style>
<link
	href="http://ajax.aspnetcdn.com/ajax/bootstrap/2.3.2/css/bootstrap-responsive.css"
	rel="stylesheet">
<link href="lib/chrisma/css/charisma-app.css" rel="stylesheet">
<link
	href="http://ajax.aspnetcdn.com/ajax/jquery.ui/1.8.10/themes/redmond/jquery-ui.css"
	rel="stylesheet">
<link rel="shortcut icon" href="images/bench4q.png">
</head>

<body>
	<fmt:bundle basename="i18n">
		<jsp:include page="publiccontrol/navigatebar.jsp"></jsp:include>
		<div class="container-fluid">
			<div class="row-fluid">
				<jsp:include page="publiccontrol/leftmenubar.jsp"></jsp:include>
				<noscript>
					<div class="alert alert-block span10">
						<h4 class="alert-heading">
							<fmt:message key="warning" />
							!
						</h4>
						<p>
							<fmt:message key="warningcontent1" />
							<a href="http://en.wikipedia.org/wiki/JavaScript" target="_blank">JavaScript</a>
							<fmt:message key="warningcontent2" />
							.
						</p>
					</div>
				</noscript>

				<div id="content" class="span10">
					<!-- content starts -->


					<div>
						<ul class="breadcrumb">
							<li><a href="#"><fmt:message key="home" /></a> <span
								class="divider">/</span></li>
							<li><a href="#"><fmt:message key="testplan" /></a></li>
						</ul>
					</div>

					<div class="row-fluid sortable">
						<div class="box span12 ">
							<div class="box-header well" data-original-title>
								<h2>
									<i></i>
									<fmt:message key="testplan" />
								</h2>
								<div class="box-icon">
									<a href="#" class="btn btn-minimize btn-round"><i
										class="icon-chevron-up"></i></a> <a href="#"
										class="btn btn-close btn-round"><i class="icon-remove"></i></a>
									<a href="#" class="btn btn-round" onClick="loadTestPlans()"><i
										class="icon-list"></i></a>
								</div>
							</div>
							<div class="box-content">
								<table id="table"
									class="table table-striped table-bordered bootstrap-datatable datatable">
									<thead>
										<tr>
											<th>ID</th>
											<th><fmt:message key="name" /></th>
											<th><fmt:message key="status" /></th>
											<th><fmt:message key="createdatetime" /></th>
											<th><fmt:message key="testPlan-view" /></th>
											<th><fmt:message key="actions" /></th>

										</tr>
									</thead>
									<tbody>
									</tbody>
								</table>
							</div>
						</div>
						<!--/span-->

					</div>
					<!--/row-->


					<!-- content ends -->
				</div>
				<!--/#content.span10-->
			</div>

			<jsp:include page="publiccontrol/footer.jsp"></jsp:include>
		</div>
		<script src="http://code.jquery.com/jquery-1.10.2.min.js"></script>
		<script src="lib/dataTable/js/jquery.dataTables.js"></script>
		<script
			src="http://ajax.aspnetcdn.com/ajax/jquery.ui/1.10.3/jquery-ui.min.js"></script>
		<script src="lib/jqueryi18n/jquery.i18n.properties-1.0.9.js"></script>
		<script
			src="http://ajax.aspnetcdn.com/ajax/bootstrap/2.3.1/bootstrap.min.js"></script>
		<script src="lib/chrisma/js/jquery.cookie.js"></script>
		<script src="lib/chrisma/js/theme.js"></script>
		<script src="script/base.js"></script>
		<script src="script/bench4q.table.js"></script>
		<script src="script/testPlanListManage.js"></script>
		<script src="script/Share/TestStatusMap.js"></script>
		<script src="script/testPlans.js"></script>
		<script src="lib/other/jquery.noty.packaged.min.js"></script>
		<script src="script/scriptManager/uiFactory.js"></script>
	</fmt:bundle>
</body>
</html>
